From f62458f075614a42701a2242f5bbe2a005b00f66 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 28 2020 03:38:43 +0000
Subject: [PATCH 1832/2232] Define member type Slice<T>::value_type = T


---

diff --git a/include/cxx.h b/include/cxx.h
index b7deb71..1212de2 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -147,6 +147,8 @@ template <typename T>
 class Slice final
     : private detail::copy_assignable_if<std::is_const<T>::value> {
 public:
+  using value_type = T;
+
   Slice() noexcept;
   Slice(T *, std::size_t count) noexcept;
 

